<?php
    $kat_id = (int)abs($_GET['edit_cat']);
    $kat = DB :: $pdo -> queryFetch("SELECT * FROM `gifts_kat` WHERE `id` = ? LIMIT 1;", array($kat_id));
    if (!isset($kat) || $kat['id'] <= 0)
    {
    ?>
        <div class="list _gray _font-s _center">Категория не найдена!</div>
    <?
    } else {
    if (isset($_POST['cfms']))
    {
        $name = system :: check($_POST['name']);
        $msg_str = system :: utf_strlen($name);
        if ($msg_str >= 1)
        {
            if ($msg_str <= 20)
            {
                if (isset($_POST['admin']) && $_POST['admin'] == 1)
                {
                    $privat = 1;
                } else {
                    $privat = 0;
                }
    			if (DB :: $pdo -> query("UPDATE `gifts_kat` SET `name` = '".$name."', `admin` = '".$privat."' WHERE `id` = '".$kat['id']."' LIMIT 1"))
                {			
    				system :: redirect("Категория успешно изменена.", "/gifts?admin&edit_cat=".$kat['id']."");
    			} else {
    				$errMsg = "Неизвестная ошибка.!";
    			}
            } else {
                $errMsg = "Название превышает 20 знаков!";
            }
        } else {
            $errMsg = "Пустое название!";
        }
    }
    if (isset($errMsg))
    {
        system :: show($errMsg);
    }
    ?>
    <div class="list">
        <form method="post" class="post-add" data-type="arbour" action="/gifts?admin&amp;edit_cat=<?echo $kat['id'];?>">
        <div class="_gray _dbl">Название:</div>
        <input class="main-input _w-100" type="text" value="<?echo stripcslashes(htmlspecialchars($kat['name']));?>" name="name" />
        <div class="sim_gifts20">
            <label><input name="admin" value="1" type="checkbox"<?echo "".($kat['admin']==1?" checked='checked'":null)."";?> /> Только для админов</label>
        </div>
        <div class="_center" style="margin-top: 3px;">
            <input type="submit" class="main-btn _w-100" name="cfms" value="Продолжить" />
        </div>
        </form>
    </div>
    <?
    }
    echo system :: back("{$thisLink}&amp;adm_cat=".$kat['id'], "Назад");
    require (CORE."foot.php");